org.apache.ignite.internal.visor

## Class VisorTaskArgument<A>

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorTaskArgument<A>

All Implemented Interfaces:
  Serializable

    public class VisorTaskArgument<A>
    extends Object
    implements Serializable

Visor tasks argument.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorTaskArgument(Collection<UUID> nodes, A arg, boolean debug)` Create Visor task argument.
`VisorTaskArgument(Collection<UUID> nodes, boolean debug)` Create Visor task argument with nodes, but without actual argument.
`VisorTaskArgument(UUID node, A arg, boolean debug)` Create Visor task argument.
`VisorTaskArgument(UUID node, boolean debug)` Create Visor task argument with nodes, but without actual argument.

### Method Summary

Methods
`A` `argument()`
`boolean` `debug()`
`Collection<UUID>` `nodes()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorTaskArgument

    public VisorTaskArgument(Collection<UUID> nodes,
                     A arg,
                     boolean debug)

Create Visor task argument.

Parameters:
  `nodes` - Node IDs task should be mapped to.
  `arg` - Task argument.
  `debug` - Debug flag.

#### VisorTaskArgument

    public VisorTaskArgument(Collection<UUID> nodes,
                     boolean debug)

Create Visor task argument with nodes, but without actual argument.

Parameters:
  `nodes` - Node IDs task should be mapped to.
  `debug` - Debug flag.

#### VisorTaskArgument

    public VisorTaskArgument(UUID node,
                     A arg,
                     boolean debug)

Create Visor task argument.

Parameters:
  `node` - Node ID task should be mapped to.
  `arg` - Task argument.
  `debug` - Debug flag.

#### VisorTaskArgument

    public VisorTaskArgument(UUID node,
                     boolean debug)

Create Visor task argument with nodes, but without actual argument.

Parameters:
  `node` - Node ID task should be mapped to.
  `debug` - Debug flag.

### Method Detail

#### nodes

    public Collection<UUID> nodes()

Returns:
  Node IDs task should be mapped to.

#### argument

    public A argument()

Returns:
  Task argument.

#### debug

    public boolean debug()

Returns:
  Debug flag.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.3.0-incubating
Release Date | : July 10 2015